
QGIS Application - Bug report #21488

qgis crashed when setting selection color

2019-03-05 10:33 PM - D J

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: windows 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29305

Description

User Feedback

Hi I was trying to set the selection colour to 65% in the options.

Report Details

Crash ID: 6a0ab19a72240951758d92735839df4dd911b3d4

Stack Trace

QgsProcessingToolboxModel::data :

QgsProcessingToolboxProxyModel::filterAcceptsRow :

QSortFilterProxyModel::columnCount :

QSortFilterProxyModel::hasChildren :

QTreeViewPrivate::hasVisibleChildren :

QTreeViewPrivate::layout :

QTreeView::doItemsLayout :

QAbstractItemView::timerEvent :

QObject::event :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsMessageViewer::showMessage :

PyInit__core :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :
PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyErr_PrintEx :

PyInit_QtCore :

CPLStringList::empty :

PyInit__core :

QgsProcessingProvider::refreshAlgorithms :

PyInit__core :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

PyInit__gui :

QgsOptions::saveOptions :

QMetaObject::activate :

QDialog::done :

QMetaObject::activate :

QDialogButtonBox::~QDialogButtonBox :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 20688: Processing Toolbox Crash Closed 2018-11-30

History

#1 - 2019-03-05 11:17 PM - Jürgen Fischer

- Description updated

#2 - 2019-03-05 11:17 PM - Jürgen Fischer

- File deleted (QGIS 3.6 Crash Report 00001.rtf)

#3 - 2019-03-05 11:50 PM - Jürgen Fischer

- Duplicates Bug report #20688: Processing Toolbox Crash added

#4 - 2019-03-06 02:05 AM - Nyall Dawson

- Status changed from Open to Feedback

Looks related to a plugin. Disable all 3rd party plugins and retest

#5 - 2019-03-06 10:38 AM - Giovanni Manghi

- Subject changed from Crash Report QGIS 7.5 to qgis crashed when setting selection color

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Category changed from Editing to Unknown

Nyall Dawson wrote:
Looks related to a plugin. Disable all 3rd party plugins and retest

or also create a new profile.

#6 - 2019-03-23 01:10 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
